Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455913 - memberOf plug-in shouldn't use a Slapi_Mod on the stack
Summary: memberOf plug-in shouldn't use a Slapi_Mod on the stack
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Server - Plugins
Version: 1.1.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: FDS112
TreeView+ depends on / blocked
 
Reported: 2008-07-18 17:57 UTC by Nathan Kinder
Modified: 2015-01-04 23:33 UTC (History)
3 users (show)

Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-29 23:05:05 UTC


Attachments (Terms of Use)
CVS Diffs (deleted)
2008-07-18 17:57 UTC, Nathan Kinder
no flags Details | Diff

Description Nathan Kinder 2008-07-18 17:57:31 UTC
There's a spot in the memberOf plug-in where we use a Slapi_Mod on the stack. 
While this works fine, it requires knowledge of how much space a Slapi_Mod takes
up, which is not exported via the public interface.  We should only be using the
public interfaces if possible.

The fix is to allocate a Slapi_Mod on the heap instead.

Comment 1 Nathan Kinder 2008-07-18 17:57:31 UTC
Created attachment 312161 [details]
CVS Diffs

Comment 2 Nathan Kinder 2008-07-18 18:12:03 UTC
Checked into ldapserver (HEAD).  Thanks to Noriko for her review!

Checking in plugins/memberof/memberof.c;
/cvs/dirsec/ldapserver/ldap/servers/plugins/memberof/memberof.c,v  <--  memberof.c
new revision: 1.13; previous revision: 1.12
done

Comment 3 Jenny Galipeau 2009-04-09 18:45:29 UTC
I'm not sure that QE can verify this bug?

Comment 4 Nathan Kinder 2009-04-09 21:34:52 UTC
This fix is a code optimization, and is not verifiable by QE.  Marking as VERIFIED.

Comment 5 Chandrasekar Kannan 2009-04-29 23:05:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html


Note You need to log in before you can comment on or make changes to this bug.